import java.awt.*;
import java.awt.event.*;
public class Anime1 extends Frame implements ActionListener,Runnable {
	MyCanvas c1;
	Button b1;
	Thread t1;
	int lastX,lastY,moveX,moveY;
	public Anime1() {
		super();
		setTitle("New Window");
		setSize(600,450);
		setLayout(null);
		c1 = new MyCanvas();
		c1.setBounds(50,50,450,350);
		this.add(c1);
		b1 = new Button("GO");
		b1.setBounds(25,400,100,25);
		b1.addActionListener(this);
		this.add(b1);
	}
	public static void main (String args []) {
		new Anime1().setVisible(true);
	}
	public void actionPerformed(ActionEvent ev) {
		if (ev.getSource() == b1) {
			moveX = (int)(Math.random() * 21 - 11);
			moveY = (int)(Math.random() * 21 - 11);
			if (t1 == null){
				t1 = new Thread(this);
				t1.start();
			}
		}
	}
	public void run(){
		try {
			lastX = 0;
			lastY = 0;
			while(true){
				if (lastX + moveX < 0 || lastX + moveX > c1.getWidth()){
					moveX *= -1;
				}
				if (lastY + moveY < 0 || lastY + moveY > c1.getHeight()){
					moveY *= -1;
				}
				lastX += moveX;
				lastY += moveY;
				c1.repaint();
				t1.sleep(100);
			}
		} catch(Exception e){
			System.out.println(e);
		}
	}
	class MyCanvas extends Canvas{
		public void paint(Graphics g){
			g.setColor(Color.blue);
			g.fillOval(lastX - 10,lastY - 10,20,20);
		}
	}
}
