public class Twosphere {
	public static void main(String[] args) {
		double a,b,k,alpha,g,t,dt,theta,mass,dtheta,ddtheta,r;
		double xx,yy;
		int i;
		a=1.0;
		b=2.0;
		mass=4.0/3.0*Math.PI*a*a*a;
		k=Math.sqrt(2.0/5.0)*a;
		g=9.8;
		alpha=10.0;
		alpha=alpha*Math.PI/180.0;
		t=0.0;
		dt=0.01;
		theta=alpha;
		dtheta=0.0;
		ddtheta=0.0;
		for(i=1;i<1000;i++){
			rk(theta,dtheta,t,dt);
			r=mass*g*Math.cos(theta)-mass*(b+a)*dtheta*dtheta;
			if(r<0.0) break;
		}
		xx=theta*180.0/Math.PI;
		yy=mass*g/(a*a+k*k)*((3.0*a*a+k*k)*Math.cos(theta)-2.0*a*a*Math.cos(alpha));
		System.out.println(xx+ ", "+ yy);
	}
	public static void rk(double x,double y,double t,double dt){
		double kx1,ky1,kx2,ky2,kx3,ky3,kx4,ky4,ff,gg;
		kx1=dt*ff(x,y,t);
		ky1=dt*gg(x,y,t);
		kx2=dt*ff(x+0.5*kx1,y+0.5*ky1,t+0.5*dt);
		ky2=dt*gg(x+0.5*kx1,y+0.5*ky1,t+0.5*dt);
		kx3=dt*ff(x+0.5*kx2,y+0.5*ky2,t+0.5*dt);
		ky3=dt*gg(x+0.5*kx2,y+0.5*ky2,t+0.5*dt);
		kx4=dt*ff(x+kx3,y+ky3,t+dt);
		ky4=dt*gg(x+kx3,y+ky3,t+dt);
		x=x+(kx1+2*kx2+2*kx3+kx4)/6.0;
		y=y+(ky1+2*ky2+2*ky3+ky4)/6.0;
		t=t+dt;
        }
        public static double ff(double theta,double dtheta, double t){
		return dtheta;
	}
        public static double gg(double theta,double dtheta, double t){
		double a,b,k,g;
		a=1.0;
		b=2.0;
		k=Math.sqrt(2.0/5.0)*a;
		g=9.8;
		return g*Math.sin(theta)/(b+a)/(a*a+k*k)*a*a;
	}
}
