public class Oscillation {
	public static void main(String[] args) {
                double x,v,t,dt,tmin,tmax,tnew;
		double k1[]=new double[2],k2[]=new double[2];
                x=1.0;
		v=0.0;
                tmin=0.0;
                dt=0.05;
                tmax=20.0;
		System.out.println(tmin + ", "+ x );
		for(t=tmin;t<tmax;t=t+dt){
			k1[0]=f1(t,x,v);
			k1[1]=f2(t,x,v);
			k2[0]=f1(t+dt,x+dt*k1[0],v+dt*k1[1]);
			k2[1]=f2(t+dt,x+dt*k1[0],v+dt*k1[1]);
			x=x+dt*(k1[0]+k2[0])/2.0;
			v=v+dt*(k1[1]+k2[1])/2.0;
			tnew=t+dt;
			System.out.println(tnew + ", "+ x);
                }
        }
        public static double f1(double t,double x,double v){
return v;
        }

        public static double f2(double t,double x,double v){
		double omega=3.0,lambda=0.5,A=3.0,p=1.5;
return -2.0*lambda*v-omega*omega*x+A*Math.sin(p*t);
        }
}
