public class Gravitation {
	public static void main(String[] args) {
		double[] x0=new double[4];
		double[] x =new double[4];
		double[] f =new double[4];
		int i,j;
		double dt,te,t0,h,s;

		x0[0]= 100.0;
		x0[1]= 0.0;
		x0[2]= 0.0;
		x0[3]= 0.85;
		t0=0.0;
		dt=0.001;

		for(j=1;j<500;j++){
			rk(dt,x,x0,f);
			s=(x0[0]*x0[3]-x0[1]*x0[2])/2.0;
			System.out.println(x0[0]+ ", "+ x0[1]+ ", "+ s);
		}
	}
	public static void rk(double dt, double x[], double x0[], double f[]){
		int j,k;
		double[] k1=new double[4];
		double[] k2=new double[4];
		double[] k3=new double[4];
		double[] k4=new double[4];

		for(j=0;j<4;j++) x[j]=x0[j];
		ffunc(x,f);
		for(j=0;j<4;j++) k1[j]=f[j];

		for(j=0;j<4;j++) x[j]=x0[j]+dt*k1[j]/2.0;
		ffunc(x,f);
		for(j=0;j<4;j++) k2[j]=f[j];

		for(j=0;j<4;j++) x[j]=x0[j]+dt*k2[j]/2.0;
		ffunc(x,f);
		for(j=0;j<4;j++) k3[j]=f[j];

		for(j=0;j<4;j++) x[j]=x0[j]+dt*k3[j];
		ffunc(x,f);
		for(j=0;j<4;j++) k4[j]=f[j];

		for(j=0;j<4;j++){
			x[j]=x0[j]+dt/6.0*(k1[j]+2.0*k2[j]+2.0*k3[j]+k4[j]);
		}

		for(j=0;j<4;j++) x0[j]=x[j];
	}
	public static void ffunc(double x[], double f[]){
		double r,g,m,M;
		int i,j;
		m=1.0;
		M=100.0;
		g=-1.0;
		r = Math.sqrt(x[0]*x[0]+x[1]*x[1]);
		f[0]=x[2];
		f[1]=x[3];
		f[2]=g*m*M*x[0]/(r*r*r);
		f[3]=g*m*M*x[1]/(r*r*r);
	}
}
