public class Test{
	public static void main(String[] args) {
		double[] x0=new double[4];
		double[] x =new double[4];
		double[] f =new double[4];
		double dt,te,t0,h;
		int i,j;

		x0[0]= 1.0;
		x0[1]= 0.0;
		x0[2]= 0.0;
		x0[3]= 1.0;
		t0=0.0;
		dt=0.02;
		System.out.println(""+x0[0]+ ", "+ x0[1]);

		for(j=1;j<1000;j++){
			x=rk(dt,x,x0,f);
//			System.out.println(""+x[0]+ ", "+ x[1]+""+ ", "+ x[2]+ ", "+ x[3]);
			System.out.println(""+x0[0]+ ", "+ x0[1]);
		}
	}
	public static double[] rk(double dt, double x[], double x0[], double f[]){
		int j,k;
		double[] k1=new double[4];
		double[] k2=new double[4];
		double[] k3=new double[4];
		double[] k4=new double[4];

		for(j=0;j<4;j++) x[j]=x0[j];
		ffunc(x,f);
		for(j=0;j<4;j++) k1[j]=f[j];

		for(j=0;j<4;j++) x[j]=x0[j]+dt*k1[j]/2.0;
		ffunc(x,f);
		for(j=0;j<4;j++) k2[j]=f[j];

		for(j=0;j<4;j++) x[j]=x0[j]+dt*k2[j]/2.0;
		ffunc(x,f);
		for(j=0;j<4;j++) k3[j]=f[j];

		for(j=0;j<4;j++) x[j]=x0[j]+dt*k3[j];
		ffunc(x,f);
		for(j=0;j<4;j++) k4[j]=f[j];

		for(j=0;j<4;j++) x[j]=x0[j]+dt/6.0*(k1[j]+2.0*k2[j]+2.0*k3[j]+k4[j]);

		for(j=0;j<4;j++) x0[j]=x[j];
		return x;
	}
	public static void ffunc(double x[], double f[]){
		double rr;
		rr=Math.sqrt(x[0]*x[0]+x[1]*x[1]);
		f[0]=x[2];
		f[1]=x[3];
		f[2]=-1.0*x[0]/(rr*rr*rr);
		f[3]=-1.0*x[1]/(rr*rr*rr);
	}
}
