import java.awt.*;
import java.awt.event.*;
public class Three extends Frame implements ActionListener,Runnable {
	MyCanvas c1;
	Button b1;
	Thread t1;
	double[] x =new double[400];
	double[] x0=new double[400];
	double[] f =new double[400];
	int i,j,ix1,iy1,ix2,iy2,ix3,iy3;
	double dt=0.05;
	public Three() {
		super();
		setTitle("New Window");
		setSize(700,700);
		setLayout(null);
		c1 = new MyCanvas();
		c1.setBounds(25,25,600,600);
		this.add(c1);
		b1 = new Button("GO");
		b1.setBounds(25,650,100,25);
		b1.addActionListener(this);
		this.add(b1);
	}
	public static void main (String args []) {
		new Three().setVisible(true);
	}
	public void actionPerformed(ActionEvent ev) {
		if (ev.getSource() == b1) {
			if (t1 == null){
				t1 = new Thread(this);
				t1.start();
			}
		}
	}
	public void run(){
		x0[0]= 0.0;	x0[1]= 0.0;	x0[2]= 0.0;	x0[3]= 0.0;
		x0[4]= 100.0;	x0[5]= 0.0;	x0[6]= 0.0;	x0[7]= 1.0;
		x0[8]= -120.0;	x0[9]= 0.0;	x0[10]= 0.0;	x0[11]= -1.0;
		ix1 = (int) x0[0]+300;		iy1 = (int) x0[1]+300;
		ix2 = (int) x0[4]+300;		iy2 = (int) x0[5]+300;
		ix3 = (int) x0[8]+300;		iy3 = (int) x0[9]+300;

		for(j=1;j<100000;j++){
			rk(dt,x,x0,f);
			for(i=0;i<12;i++) System.out.println(i+" "+x0[i]);
			ix1 = (int) x0[0]+300;	iy1 = (int) x0[1]+300;
			ix2 = (int) x0[4]+300;	iy2 = (int) x0[5]+300;
			ix3 = (int) x0[8]+300;	iy3 = (int) x0[9]+300;
			c1.repaint();
			if((Math.abs(ix1-ix2)+Math.abs(iy1-iy2))<6) break;
			if((Math.abs(ix1-ix3)+Math.abs(iy1-iy3))<6) break;
			if((Math.abs(ix2-ix3)+Math.abs(iy2-iy3))<6) break;
		}
	}
	class MyCanvas extends Canvas{
		public void paint(Graphics g){
			g.setColor(Color.blue);
			g.fillOval(ix1-5,iy1-5,10,10);
			g.fillOval(ix2-5,iy2-5,10,10);
			g.fillOval(ix3-5,iy3-5,10,10);
		}
	}
	public void rk(double h, double x[], double x0[], double f[]){
		int j;
		double[] k1=new double[12];
		double[] k2=new double[12];
		double[] k3=new double[12];
		double[] k4=new double[12];
		for(j=0;j<12;j++) x[j]=x0[j];
		ffunc(x,f);
		for(j=0;j<12;j++) k1[j]=f[j];
		for(j=0;j<12;j++) x[j]=x0[j]+dt*k1[j]/2.0;
		ffunc(x,f);
		for(j=0;j<12;j++) k2[j]=f[j];
		for(j=0;j<12;j++) x[j]=x0[j]+dt*k2[j]/2.0;
		ffunc(x,f);
		for(j=0;j<12;j++) k3[j]=f[j];
		for(j=0;j<12;j++) x[j]=x0[j]+dt*k3[j];
		ffunc(x,f);
		for(j=0;j<12;j++) k4[j]=f[j];
		for(j=0;j<12;j++) x[j]=x0[j]+dt/6.0*(k1[j]+2.0*k2[j]+2.0*k3[j]+k4[j]);
		for(j=0;j<12;j++) x0[j]=x[j];
	}
	public void ffunc(double x[], double f[]){
		double r1,r2,r12,z1,z2,ggg;
		int i,j;
		z1=1.0;	z2=1.0; ggg=-100.0;
		f[0]=0.0;
		f[1]=0.0;
		f[2]=0.0;
		f[3]=0.0;
		r1  = Math.sqrt(x[4]*x[4]+x[5]*x[5]);
		r2  = Math.sqrt(x[8]*x[8]+x[9]*x[9]);
		r12 = Math.sqrt((x[8]-x[4])*(x[8]-x[4])+(x[9]-x[5])*(x[9]-x[5]));
		f[4]=x[6];
		f[5]=x[7];
		f[6]=z1*ggg*x[4]/(r1*r1*r1)+z1*z2*ggg*(x[4]-x[8])/(r12*r12*r12);
		f[7]=z1*ggg*x[5]/(r1*r1*r1)+z1*z2*ggg*(x[5]-x[9])/(r12*r12*r12);
		f[8]=x[10];
		f[9]=x[11];
		f[10]=z2*ggg*x[8]/(r2*r2*r2)+z1*z2*ggg*(x[8]-x[4])/(r12*r12*r12);
		f[11]=z2*ggg*x[9]/(r2*r2*r2)+z2*z2*ggg*(x[9]-x[5])/(r12*r12*r12);
	}
}
